Debian Bug report logs - #697288
ITA: xarchiver -- GTK+ frontend for most used compression formats

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Thu, 3 Jan 2013 15:51:05 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: normal

Fixed in version xarchiver/1:0.5.2+20130119+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, huebschi.christian@gmail.com, wnpp@debian.org:
Bug#697288; Package wnpp. (Thu, 03 Jan 2013 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to huebschi.christian@gmail.com, wnpp@debian.org. (Thu, 03 Jan 2013 15:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: xarchiver -- GTK+ frontend for most used compression formats
Date: Thu, 3 Jan 2013 15:48:35 +0000
Package: wnpp
Severity: normal

The current maintainer of xarchiver, Christian Hübschi <huebschi.christian@gmail.com>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: xarchiver
Binary: xarchiver
Version: 1:0.5.2+20090319+dfsg-4
Priority: optional
Section: x11
Maintainer: Christian Hübschi <huebschi.christian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, intltool, libgtk2.0-dev, quilt
Architecture: any
Standards-Version: 3.8.3
Format: 1.0
Directory: pool/main/x/xarchiver
Files:
 de03edac28e5d354e3857a85e0f236ef 1166 xarchiver_0.5.2+20090319+dfsg-4.dsc
 fca497285085fce95121fc075a56e2bc 1161276 xarchiver_0.5.2+20090319+dfsg.orig.tar.gz
 ab1e9f871c472f468cdc67a977952abc 6820 xarchiver_0.5.2+20090319+dfsg-4.diff.gz
Homepage: http://xarchiver.xfce.org/
Checksums-Sha1:
 c9a6c3299aada42a3c0745c19a49002c14e4bf5b 1166 xarchiver_0.5.2+20090319+dfsg-4.dsc
 6b8f97841ac4d2749ec109054fdaf9b895d179a5 1161276 xarchiver_0.5.2+20090319+dfsg.orig.tar.gz
 f25173d50b3de9c15be1df2f4be8386cb52d6f67 6820 xarchiver_0.5.2+20090319+dfsg-4.diff.gz
Checksums-Sha256:
 10f26ed3abcbdf823058eb14e3959481725016f63fa42ec1584e9810cea8c4a4 1166 xarchiver_0.5.2+20090319+dfsg-4.dsc
 ef0226d8add292468f4e6eb3428a72f1966cffacb473b6126b20fdceedb4c9cc 1161276 xarchiver_0.5.2+20090319+dfsg.orig.tar.gz
 b16b4525af07eef8e44b4a14452de0a61ef922e159c78dd4395b803c2da17108 6820 xarchiver_0.5.2+20090319+dfsg-4.diff.gz

Package: xarchiver
Priority: optional
Section: x11
Installed-Size: 1344
Maintainer: Christian Hübschi <huebschi.christian@gmail.com>
Architecture: amd64
Version: 1:0.5.2+20090319+dfsg-4
Depends: libatk1.0-0 (>= 1.20.0), libc6 (>= 2.3), libcairo2 (>= 1.2.4), libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libglib2.0-0 (>= 2.16.0), libgtk2.0-0 (>= 2.10.0), libpango1.0-0 (>= 1.14.0)
Recommends: xdg-utils, arj, bzip2, rpm, p7zip-full, unzip, zip
Suggests: lha, rar
Filename: pool/main/x/xarchiver/xarchiver_0.5.2+20090319+dfsg-4_amd64.deb
Size: 511008
MD5sum: cd1f921acade9187f838be4e9341c4a5
SHA1: 3914d483184aebd8a702d80e22c51eedf4ac0361
SHA256: dc7660bf78b4e3bdd876a3ec400b0d0c5d504cd678f0c1ca64f504edc5b5dcd5
Description: GTK+ frontend for most used compression formats
 Xarchiver is a Desktop Environment independent GTK+ 2 frontend for manipulating
 7z, arj, bzip2, gzip, rar, tar, zip, and RPM files. It allows you to create
 archives and add, extract, and delete files from them. Password protected
 archives in the arj, 7z, rar, and zip formats are supported.
 .
 Xarchiver uses library package routines, if available. If you need even more
 package formats, try xarchive which uses shell scripts.
Homepage: http://xarchiver.xfce.org/
Tag: interface::x11, role::program, scope::utility, uitoolkit::gtk, use::compressing, use::storing, works-with::archive, works-with::file, works-with-format::tar, works-with-format::zip, x11::application


-- 
 Ricardo Mones, on behalf of Debian QA/MIA team
 http://people.debian.org/~mones
 «Never send a human to do a machine's job.» ~ Agent Smith



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697288; Package wnpp. (Thu, 03 Jan 2013 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 16:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 697288@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 697288@bugs.debian.org
Subject: ITA: xarchiver -- GTK+ frontend for most used compression formats
Date: Thu, 3 Jan 2013 17:40:23 +0100
[Message part 1 (text/plain, inline)]
retitle 697288 ITA: xarchiver -- GTK+ frontend for most used compression formats
owner 697288 !
thanks


I intend to adopt xarchiver and i will keep this bug report up to date about
the further development.



[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: xarchiver -- GTK+ frontend for most used compression formats' from 'O: xarchiver -- GTK+ frontend for most used compression formats' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 16:57:05 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 16:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697288; Package wnpp. (Mon, 21 Jan 2013 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Jan 2013 00:36:06 GMT) Full text and rfc822 format available.

Message #19 received at 697288@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 697288@bugs.debian.org
Subject: xarchiver: new package is finished
Date: Mon, 21 Jan 2013 01:31:32 +0100
[Message part 1 (text/plain, inline)]
The new package is finished but it needs a little more testing. I have applied
new patches which add xz-support and fix multiple bugs. I still need to
check whether #633598 is reproducible and if there is another solution
for #689046.


[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 15 Feb 2013 21:03:53 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 21:03:53 GMT) Full text and rfc822 format available.

Message #26 received at 697288-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 697288-close@bugs.debian.org
Subject: Bug#697288: fixed in xarchiver 1:0.5.2+20130119+dfsg-1
Date: Fri, 15 Feb 2013 21:00:24 +0000
Source: xarchiver
Source-Version: 1:0.5.2+20130119+dfsg-1

We believe that the bug you reported is fixed in the latest version of
xarchiver, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697288@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated xarchiver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 24 Jan 2013 18:28:09 +0100
Source: xarchiver
Binary: xarchiver xarchiver-dbg
Architecture: source amd64
Version: 1:0.5.2+20130119+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Markus Koschany <apo@gambaru.de>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 xarchiver  - GTK+ frontend for most used compression formats
 xarchiver-dbg - debugging symbols for xarchiver
Closes: 574012 697288 697493
Changes: 
 xarchiver (1:0.5.2+20130119+dfsg-1) unstable; urgency=low
 .
   * New Maintainer. (Closes: #697288)
   * New features and patches:
     - accept-pre-posix-tar-files.patch: Until now xarchiver only allowed to
       open tar files in UStar format because earlier formats did not use magic
       numbers to identify themselves. From now on xarchiver recognizes all tar
       files. (Closes: #574012)
     - Add Fix-format-is-not-a-string-literal-error.patch to prevent a FTBFS.
     - Drop 03-html-icon.patch. Replace the removed html-icon with a free one
       from the lxde-icon-theme which is a better solution for #505778.
     - fix-double-escaping.patch: Now xarchiver handles folders with spaces
       correctly. Special characters are not escaped twice anymore.
       Thanks Guido Berhörster for the patch. (Closes: #697493)
     - no-donators-menu.patch: The "Thanks to" donators menu is gone. A new
       Donate entry points the user to xarchiver's homepage where it is
       possible to contribute to the further development.
     - Merge mime-type.patch with desktop-file.patch.
     - Add new-homepage.patch which replaces the old address in the
       About-dialog with xarchiver's new one at sourceforge.net.
     - Remove all numbers from the patch names.
   * Switch to packaging format 3.0 (quilt).
   * Update debian/copyright to copright format 1.0.
   * Add missing LGPL-2+ and LGPL-3+ license.
   * Bump compat level to 9 and require debhelper >= 9 for automatic hardening
     build flags
   * debian/control:
     - Remove build-dependency on quilt, we are using packaging format
       3.0 anyway.
     - Add Vcs-fields. Xarchiver will be maintained in a git repository at
       collab-maint from now on.
     - Bump Standards-Version to 3.9.4, no changes needed.
     - Change recommended and suggested packages. Recommend only the most widely
       used and best compressors which are supported by xarchiver and suggest
       all other ones. This means rpm, zip and arj are suggested now. Add
       also unrar-free to Suggests.
   * Provide a new binary package with debugging symbols, xarchiver-dbg, to ease
     debugging in the future.
   * debian/rules:
     - Build with --parallel and autotools_dev.
     - Build with hardening=+all.
     - Build with -Wl, --as-needed to avoid unnecessary dependencies.
   * Remove configure-generated files config.log and config.status from the
     original sources.
   * Register xarchiver manual with doc-base.
   * Update menu and desktop file. Add keywords and remove deprecated UTF-8
     field.
Checksums-Sha1: 
 25e97f96a7ffd5a35d951c933c7a467a7529831b 2049 xarchiver_0.5.2+20130119+dfsg-1.dsc
 30292cf558c55240719858c3ce58045599072571 1120158 xarchiver_0.5.2+20130119+dfsg.orig.tar.gz
 301a94330ddd0de8306defe0c76bf0038cc4de2a 12385 xarchiver_0.5.2+20130119+dfsg-1.debian.tar.gz
 41cbc6943a59dae187ea3d5e1b9f41287507bba6 535410 xarchiver_0.5.2+20130119+dfsg-1_amd64.deb
 995fe9734153028f082a208afa5e1326d399b4d7 432636 xarchiver-dbg_0.5.2+20130119+dfsg-1_amd64.deb
Checksums-Sha256: 
 4c7f63ef4278a6149b7dff337c09aa77ec265a7b78882ff9bbb8f2968babf835 2049 xarchiver_0.5.2+20130119+dfsg-1.dsc
 4528f6c2ff2d84eb19e05175ad2f3526f81e7c887e7b140d1ba28266b297c4e6 1120158 xarchiver_0.5.2+20130119+dfsg.orig.tar.gz
 f8a7f7ab170adbcf4d3f415d481f647ba821681abb2ef0e1a3aa90d805447b21 12385 xarchiver_0.5.2+20130119+dfsg-1.debian.tar.gz
 15d49bb1158b71f9d16eba6e2e8d5b0116498515db2c84dceeb0388bcc64a25d 535410 xarchiver_0.5.2+20130119+dfsg-1_amd64.deb
 6740e4dc3d9b104e51399058740eb9381cdd368b6a0784457b3cf7dda3ec819b 432636 xarchiver-dbg_0.5.2+20130119+dfsg-1_amd64.deb
Files: 
 e7dd63c95a1c1e4bec34cf74b744f9aa 2049 x11 optional xarchiver_0.5.2+20130119+dfsg-1.dsc
 48ca67bbd53331456049dd6b8e29ab29 1120158 x11 optional xarchiver_0.5.2+20130119+dfsg.orig.tar.gz
 9eedff8510fca6f4f4a9248e008d78e5 12385 x11 optional xarchiver_0.5.2+20130119+dfsg-1.debian.tar.gz
 fb488e59f62afcdd03f0683d1edefbda 535410 x11 optional xarchiver_0.5.2+20130119+dfsg-1_amd64.deb
 cbc916852e1d598ee401c19852bf30b7 432636 debug extra xarchiver-dbg_0.5.2+20130119+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBUH9AAoJEHQmOzf1tfkTqEMQAMtnb18bEoMj76vF4irCUDfl
lIyKKdI8hoi/JVgwfKPvdDy/nDV2jvgVqFznp8aQsBJHyC6g1nGTA+nM/oWBAqpH
vKnJKIudAICue2rZmaIYxnxkIGSuBDy/H4ckE5ZgicEHu/m3yrEvqK4A/P6+K8Iw
mEk9Arebrv3uDccw5CN3l0HxQL4ChdrtsHlSD6yiunTH2eoWHFkfXt+R/nXSn6k/
XC6IlyK/KSaw7+HZsWwtko2YbqyI2JboR4wXfQ8mjlp6+8Qw8HlvrI7GkUss+4U3
2c23G7VBSOb6IViyDc6f2QysRijuFH6Ks/oFUKxCugHRGKkxrDo6I7fZtVh0pzhA
wgR4UovKtcfmpw2xuDOFYrOWKUTXKtjq/ZPlC5htyRN+TZR1Z0WDb34NwdI95cFg
nWRwopEX0JwCuNKE4nbdaBaVKGy9EQvJHnsxIIWR8Y3Z3Ie9oxSzqV3ljXOPaltm
rI1zA0nl9PjR7FYlFGiPA/Ig3YfbGVNeKQ6XcVhGH8tMt1iWPpuxuBdWBBhzVepY
2rge3rnPyboT7mQ0tlPQv3crDbfMLRyRqvUgmweB7iQuX3pho8Bg2/kBpco+Dn40
c3KID7URtALpedYeyKTTnxNZweTQH3zrju9jUZENeFAYrZBUmJe9q5HhUDwVdPAn
rqRJ+Wyzs+cgMkUhpiC+
=Tzf2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Mar 2013 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:51:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.